MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027763Open CASCADE[OCCT] OCCT:Visualizationpublic2016-08-10 22:072018-04-27 14:04
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027763: Visualization - remove V3d_View::Print() method
DescriptionV3d_View::Print() implements printing functionality limited to Windows platform, which is not what multi-platform framework is expected to do.

There is no reason to keep this functionality in TKV3d - application might use method V3d_View::ToPixMap() to capture view content and send image to printer using platform-specific API.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0022582closedbugmaster Open CASCADE Visualization - provide an API for dumping a sub-region of the viewport 
parent of 0028072closedapn Open CASCADE Samples - remove deprecated vector export from MFC sample 
related to 0024349closedbugmaster Community Document name of V3d::View printouts is very long and cannot be changed by the application 
related to 0029520closedbugmaster Open CASCADE Visualization - drop deprecated V3d_View::Export() functionality and dependency from gl2ps 
child of 0023049closedbugmaster Open CASCADE Optimize packaging and dependencies of visualization libraries 

-  Notes
(0056626)
git (administrator)
2016-08-10 23:37

Branch CR27763 has been created by kgv.

SHA-1: 70ab6242180f3cb9119ef85467949c9c4ac025e3


Detailed log of new commits:

Author: kgv
Date: Wed Aug 10 23:32:50 2016 +0300

    0027763: Visualization - remove V3d_View::Print() method
    
    Dependency from FreeImagePlus.dll (but not FreeImage.dll) has been removed.
    
    Method V3d_View::Export() has been marked as deprecated.
    
    Added Standard_DISABLE_DEPRECATION_WARNINGS and Standard_ENABLE_DEPRECATION_WARNINGS
    to eliminate compiler warnings for using deprecated APIs within Draw Harness for testing.
(0056627)
kgv (developer)
2016-08-10 23:38

Patch is ready for review in CR27763 for occt and Products.
(0056632)
git (administrator)
2016-08-11 11:02

Branch CR27763 has been updated forcibly by kgv.

SHA-1: 01f3f07dc25b72d96f999196256a771e91f8d96d
(0056645)
san (developer)
2016-08-11 12:49

Branch CR27763 reviewed without remarks, ready for testing.
(0056657)
mkv (tester)
2016-08-11 16:33

Dear kgv,
could you please rebase branch CR27763 on IR-2016-08-11 from occt git-repository, there are conflict files.
(0056660)
git (administrator)
2016-08-11 16:44

Branch CR27763 has been updated forcibly by kgv.

SHA-1: 9155e021dc84f8e5455c2b28a6782f9157b40d48
(0056661)
kgv (developer)
2016-08-11 16:54

Patch has been rebased.
(0056671)
mkv (tester)
2016-08-12 10:47

Dear BugMaster,
Branch CR27763 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 9155e021dc84f8e5455c2b28a6782f9157b40d48

There are following compilation errors:
Linux:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR27763-CR27763/job/CR27763-CR27763-OCCT-Debian70-64-opt-compile/1/console [^]
CMake Error at CMakeLists.txt:12 (include):
  include could not find load file:
    /dn54/builds/CR27763-CR27763/Debian70-64-opt/OCCT/adm/cmake/freeimageplus.cmake
Windows:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR27763-CR27763/job/CR27763-CR27763-OCCT-Windows-64-VC10-opt-compile/1/console [^]
MacOS:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR27763-CR27763/job/CR27763-CR27763-OCCT-MacOS-opt-compile/1/console [^]
CMake Error at CMakeLists.txt:12 (include):
  include could not find load file:
    /Users/mnt/builds/CR27763-CR27763/MacOS-opt/OCCT/adm/cmake/freeimageplus.cmake
(0056672)
git (administrator)
2016-08-12 11:01

Branch CR27763 has been updated by kgv.

SHA-1: 2cd367fd179b24dd7e5369bbd5e6ec562ad31ec8


Detailed log of new commits:

Author: kgv
Date: Fri Aug 12 11:02:50 2016 +0300

    remove adm/cmake/freeimageplus from CMakeLists.txt

(0056674)
git (administrator)
2016-08-12 11:02

Branch CR27763 has been updated forcibly by kgv.

SHA-1: 35cbc324ba830141ada31c210e907145904902fb
(0056675)
kgv (developer)
2016-08-12 11:08

Please check updated patch.
(0056696)
mkv (tester)
2016-08-12 18:34

Dear BugMaster,
Branch CR27763 from occt git-repository (and CR27763 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 35cbc324ba830141ada31c210e907145904902fb
SHA-1: 662c1cbce53b8cabe68cf8614ede90a3d100337b

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1144

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 89687982 / 90447315 [-0.84%]
Total CPU difference: 19430.69000000003 / 19471.000000000095 [-0.21%]
products component :
Total MEMORY difference: 30076947 / 29997852 [+0.26%]
Total CPU difference: 5106.789999999962 / 5058.689999999974 [+0.95%]

Testing on Windows:
occt component :
Total MEMORY difference: 57144154 / 57159298 [-0.03%]
Total CPU difference: 18258.138638598815 / 17970.73799629888 [+1.60%]
products component :
Total MEMORY difference: 21269032 / 21236075 [+0.16%]
Total CPU difference: 4903.90703509995 / 4814.253260399945 [+1.86%]

There are no differences in images found by testdiff.
(0056697)
mkv (tester)
2016-08-12 18:34

Dear BugMaster,
Branch CR27763 is TESTED.
(0057145)
git (administrator)
2016-08-26 16:23

Branch CR27763 has been deleted by inv.

SHA-1: 35cbc324ba830141ada31c210e907145904902fb

- Related Changesets
occt: master 60273f77
Timestamp: 2016-08-10 20:32:50
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027763: Visualization - remove V3d_View::Print() method

Dependency from FreeImagePlus.dll (but not FreeImage.dll) has been removed.

Method V3d_View::Export() has been marked as deprecated.

Added Standard_DISABLE_DEPRECATION_WARNINGS and Standard_ENABLE_DEPRECATION_WARNINGS
to eliminate compiler warnings for using deprecated APIs within Draw Harness for testing.

compatibility with gcc 4.5-
rm - adm/cmake/freeimageplus.cmake Diff ] File ]
mod - adm/cmake/occt_csf.cmake Diff ] File ]
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - adm/genconfdeps.tcl Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - adm/templates/custom.build.bat.in Diff ] File ]
mod - adm/templates/custom.install.bat.in Diff ] File ]
mod - adm/templates/env.bat.in Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
rm - src/Aspect/Aspect_PrintAlgo.hxx Diff ] File ]
mod - src/Aspect/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_PrinterContext.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_PrinterContext.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_View_Print.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/Standard/Standard_Macro.hxx Diff ] File ]
mod - src/V3d/FILES Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
rm - src/V3d/V3d_View_Print.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
rm - tests/bugs/vis/bug22337 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-08-10 22:07 kgv New Issue
2016-08-10 22:07 kgv Assigned To => kgv
2016-08-10 22:07 kgv Relationship added related to 0022582
2016-08-10 22:07 kgv Relationship added child of 0023049
2016-08-10 23:37 git Note Added: 0056626
2016-08-10 23:38 kgv Note Added: 0056627
2016-08-10 23:38 kgv Assigned To kgv => san
2016-08-10 23:38 kgv Status new => resolved
2016-08-11 11:02 git Note Added: 0056632
2016-08-11 12:49 san Note Added: 0056645
2016-08-11 12:49 san Assigned To san => bugmaster
2016-08-11 12:49 san Status resolved => reviewed
2016-08-11 13:19 mkv Assigned To bugmaster => mkv
2016-08-11 16:33 mkv Note Added: 0056657
2016-08-11 16:33 mkv Assigned To mkv => kgv
2016-08-11 16:33 mkv Status reviewed => feedback
2016-08-11 16:44 git Note Added: 0056660
2016-08-11 16:54 kgv Note Added: 0056661
2016-08-11 16:54 kgv Assigned To kgv => bugmaster
2016-08-11 16:54 kgv Status feedback => reviewed
2016-08-11 17:50 mkv Assigned To bugmaster => mkv
2016-08-12 10:47 mkv Note Added: 0056671
2016-08-12 10:47 mkv Assigned To mkv => kgv
2016-08-12 10:47 mkv Status reviewed => assigned
2016-08-12 10:47 mkv Test case number => Not needed
2016-08-12 11:01 git Note Added: 0056672
2016-08-12 11:02 git Note Added: 0056674
2016-08-12 11:08 kgv Note Added: 0056675
2016-08-12 11:08 kgv Assigned To kgv => bugmaster
2016-08-12 11:08 kgv Status assigned => resolved
2016-08-12 11:09 kgv Status resolved => reviewed
2016-08-12 12:18 mkv Assigned To bugmaster => mkv
2016-08-12 18:34 mkv Note Added: 0056696
2016-08-12 18:34 mkv Note Added: 0056697
2016-08-12 18:34 mkv Assigned To mkv => bugmaster
2016-08-12 18:34 mkv Status reviewed => tested
2016-08-19 10:07 bugmaster Changeset attached => occt master 60273f77
2016-08-19 10:07 bugmaster Status tested => verified
2016-08-19 10:07 bugmaster Resolution open => fixed
2016-08-26 16:23 git Note Added: 0057145
2016-10-13 16:18 kgv Relationship added related to 0024349
2016-11-08 14:19 kgv Relationship added parent of 0028072
2016-12-09 16:29 aiv Status verified => closed
2016-12-09 16:40 aiv Fixed in Version => 7.1.0
2018-04-27 14:04 kgv Relationship added related to 0029520


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker